<?php
namespace BankfulPay\Extension\Model;

use \Magento\Framework\App\Config\ScopeConfigInterface;
use BankfulPay\Extension\Model\Extension;

/**
 * Config file to retrieve data from
 * magento payment configuration table for bankfulPay_extension
 *
 * @category    payment
 * @package     BankfulPay_Extension
 * @author      Farrukh Bilal
 */
class Config
{

    /**
     * @var string
     */
    protected $methodCode = Extension::CODE;

    /**
     * @var ScopeConfigInterface
     */
    protected $scopeConfig;

    /**
     * @param ScopeConfigInterface $scopeConfig
     */
    public function __construct(ScopeConfigInterface $scopeConfig)
    {
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * Retrieve information from payment configuration table
     *
     * @param string $field
     *
     * @return string
     */
    public function getPaymentConfigData($field)
    {
        $code = $this->methodCode;

        $path = 'payment/' . $code . '/' . $field;
        return $this->scopeConfig->getValue($path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }
}
